#ifndef _KGR_PATCH_BSC986377_ARP_H
#define _KGR_PATCH_BSC986377_ARP_H

#include <linux/netfilter/x_tables.h>
#include <linux/netfilter_arp/arp_tables.h>

int kgr_patch_bsc986377_arp_init(void);
void kgr_patch_bsc986377_arp_cleanup(void);
int kgr_arp_mark_source_chains(const struct xt_table_info *newinfo, unsigned int valid_hooks, void *entry0, unsigned int *offsets);
int kgr_arp_translate_table(struct xt_table_info *newinfo, void *entry0, const struct arpt_replace *repl);
int kgr_compat_do_arpt_set_ctl(struct sock *sk, int cmd, void __user *user, unsigned int len);

#endif
