#ifndef _KGR_PATCH_BSC986377_IP_H
#define _KGR_PATCH_BSC986377_IP_H

#include <linux/netfilter_ipv4/ip_tables.h>

struct compat_ipt_replace;

int kgr_patch_bsc986377_ip_init(void);
void kgr_patch_bsc986377_ip_cleanup(void);
int kgr_ip_mark_source_chains(const struct xt_table_info *newinfo, unsigned int valid_hooks, void *entry0, unsigned int *offsets);
int kgr_ip_translate_table(struct net *net, struct xt_table_info *newinfo, void *entry0, const struct ipt_replace *repl);
int kgr_ip_translate_compat_table(struct net *net, struct xt_table_info **pinfo, void **pentry0, const struct compat_ipt_replace *compatr);
int kgr_compat_do_ipt_set_ctl(struct sock *sk, int cmd, void __user *user, unsigned int len);

#endif
